/*@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;600;700;800;900&family=Poppins:wght@300;400;500;600;700;800;900&display=swap');*/
/*@import url('https://fonts.googleapis.com/css2?family=Be+Vietnam+Pro:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');*/
@import url('https://fonts.googleapis.com/css2?family=Signika+Negative:wght@300;400;500;600;700&display=swap');
* {
    font-family: "Signika Negative", sans-serif;
    scroll-behavior: smooth !important;
}
body{
    margin: 0;
    padding: 0;
    background-attachment: fixed;
    background-position: top center;
    background-size: cover;
    background-repeat: no-repeat;
    background-color: #c3b09f;
}
.theme_btn {
    color: #FFFFFB;
    background: transparent;
    border: solid 2px #277fc7;
    border-radius: 8px;
}
.theme_btn.active{
    color: #FFFFFB !important;
    background: linear-gradient(270deg, #095799 0%, #228be1 50%, #0c83e7 100%) !important;
    border: #277fc7 !important;
    border-radius: 8px !important;
}
.theme_btn:hover {
    -webkit-animation: bounce 1s infinite alternate;
    -moz-animation: bounce 1s infinite alternate;
    animation: bounce 1s infinite alternate;
    color: white;
}
.page_buttons {
    position: absolute;
    /*width: 25%;*/
    top: 3vh;
    right: 10vw;
    display: flex;
    z-index: 99;

    -webkit-animation: bounce 1s infinite alternate;
    -moz-animation: bounce 1s infinite alternate;
    animation: bounce 1s infinite alternate;
}
.page_buttons button {
    border-radius: 50px;
    /*width: 100%;
    max-width: 25%;*/
    margin: auto .75rem;
    padding: .2rem .75rem;
    font-size: .8rem;
    color: #ffffee;
    background: transparent;
    border: 2px solid #660099;
}
.page_buttons button.active,
.page_buttons button:hover {
    color: #FFFFFB;
    background: linear-gradient(270deg, #681999 0%, #a9279a 50%, #ED0099 100%);
    border: 0 solid #660099;
}

/* solution 2: the original datepicker use 20px so replace with the following:*/

.datepicker td, .datepicker th {
    width: 5rem;
    height: 5rem;
}
.datepicker .table-condensed {
    height: 250px;
    width: 250px;
}
.modal{
    color: white !important;
}
.modal-content {
    background: rgba(0,63,114,0.85);
    padding: 1rem;
    border-radius: 0.5rem;
    outline: 3px solid #00bbff;
}
.modal-header {
    background: #005da9;
    border-bottom: 3px solid #00bbff;
}
.modal-header button.close {
    position: absolute;
    z-index: 99;
    right: 0;
    top: 0;
    color: crimson;
    font-size: 2rem;
    background: white !important;
    padding: 0 7px 7px 7px !important;
    border-radius: 5px;
}
.modal-body {
    max-height: 75vh;
    overflow: hidden auto;
}
.modal-title {
    font-size: 2rem;
    font-weight: bold;
    margin: 0 auto !important;
}
.card {
    border: 2px groove #00bbff !important;
}
.divider {
    border: 1px dashed #ccc;
    margin-bottom: 20px;
    margin-top: 20px;
}

/* rotet screen */
#warning-message {
    display: none;
    width: 100%;
    position: fixed;
    top: 0px;
    z-index: 2000;
    background: rgba(255,255,255,1);
    height: 100vh;
}

.fix-length {
    display: block;
    text-overflow: ellipsis;
    width: 15em;
    overflow: hidden;
    white-space: pre-wrap;
    word-wrap: break-word
}
.max-length {
    display: block;
    text-overflow: ellipsis;
    width: auto;
    overflow: hidden;
    white-space: pre;
}
.pre {
    overflow: hidden;
    white-space: pre-wrap;
    white-space: -moz-pre-wrap;
    white-space: -o-pre-wrap;
    word-wrap: break-word
}

@media only screen and (orientation: portrait) {
    #warning-message {
        display: block;
    }
}
@media only screen and (orientation: landscape) {
    #warning-message {
        display: none;
    }
}

@keyframes blinker {
    from { opacity: 1; }
    to { opacity: 0; }
}
@-webkit-keyframes bounce {
    to { -webkit-transform: scale(1.025); }
}
@-moz-keyframes bounce {
    to { -moz-transform: scale(1.025); }
}
@keyframes bounce {
    to { transform: scale(1.025); }
}

::-webkit-scrollbar-thumb {
    background-color: #939194;
    border: 2px solid transparent;
    border-radius: 5px;
    background-clip: padding-box;
}
::-webkit-scrollbar {
    width: .65rem;
}


/*--- START for Loader ---*/
#pre_loader{
    position: fixed;
    z-index: 999;
    height: 2em;
    width: 2em;
    overflow: show;
    margin: auto;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
}

/* Transparent Overlay */
#pre_loader:before {
    content: '';
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: radial-gradient(rgba(20, 20, 20,.8), rgba(0, 0, 0, .8));

    background: -webkit-radial-gradient(rgba(20, 20, 20,.8), rgba(0, 0, 0,.8));
}

/* :not(:required) hides these rules from IE9 and below */
#pre_loader:not(:required) {
    /* hide "loading..." text */
    font: 0/0 a;
    color: transparent;
    text-shadow: none;
    background-color: transparent;
    border: 0;
}

#pre_loader:not(:required):after {
    content: '';
    display: block;
    font-size: 10px;
    width: 1em;
    height: 1em;
    margin-top: -0.5em;
    -webkit-animation: spinner 150ms infinite linear;
    -moz-animation: spinner 150ms infinite linear;
    -ms-animation: spinner 150ms infinite linear;
    -o-animation: spinner 150ms infinite linear;
    animation: spinner 150ms infinite linear;
    border-radius: 0.5em;
    -webkit-box-shadow: rgba(255,255,255, 0.75) 1.5em 0 0 0, rgba(255,255,255, 0.75) 1.1em 1.1em 0 0, rgba(255,255,255, 0.75) 0 1.5em 0 0, rgba(255,255,255, 0.75) -1.1em 1.1em 0 0, rgba(255,255,255, 0.75) -1.5em 0 0 0, rgba(255,255,255, 0.75) -1.1em -1.1em 0 0, rgba(255,255,255, 0.75) 0 -1.5em 0 0, rgba(255,255,255, 0.75) 1.1em -1.1em 0 0;
    box-shadow: rgba(255,255,255, 0.75) 1.5em 0 0 0, rgba(255,255,255, 0.75) 1.1em 1.1em 0 0, rgba(255,255,255, 0.75) 0 1.5em 0 0, rgba(255,255,255, 0.75) -1.1em 1.1em 0 0, rgba(255,255,255, 0.75) -1.5em 0 0 0, rgba(255,255,255, 0.75) -1.1em -1.1em 0 0, rgba(255,255,255, 0.75) 0 -1.5em 0 0, rgba(255,255,255, 0.75) 1.1em -1.1em 0 0;
}

/* Animation */

@-webkit-keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
@-moz-keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
@-o-keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
@keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
/*---- END for Loader --*/

/*---- START for Rating star ----*/
.rating_start .rate-area {
    border-style: none;
    padding: 0 !important;
    display: flex;
    justify-content: center;
    flex-direction: row-reverse;
}

.rating_start .rate-area:not(:checked) > input {
    opacity: 0;
    position: absolute;
    top: 6rem;
    z-index: -1;
}

.rating_start .rate-area:not(:checked) > label {
    float: right;
    width: 0.8em;
    overflow: hidden;
    white-space: nowrap;
    cursor: pointer;
    font-size: 2.5rem;
    color: lightgrey;
}

.rating_start .rate-area:not(:checked) > label:before {
    content: "★";
}

.rating_start .rate-area > input:checked ~ label {
    color: gold;
}

.rating_start .rate-area:not(:checked) > label:hover,
.rating_start .rate-area:not(:checked) > label:hover ~ label {
    color: gold;
}

.rating_start .rate-area > input:checked + label:hover,
.rating_start .rate-area > input:checked + label:hover ~ label,
.rating_start .rate-area > input:checked ~ label:hover,
.rating_start .rate-area > input:checked ~ label:hover ~ label,
.rating_start .rate-area > label:hover ~ input:checked ~ label {
    color: gold;
}
/*---- END for Rating star ----*/

.custom-radio-btn {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;

    border-radius: 50%;
    width: 16px;
    height: 16px;

    border: 2px solid #999;
    transition: 0.2s all linear;
    margin-right: 5px;

    position: relative;
    top: 4px;

    cursor: pointer;
}

.custom-radio-btn:checked {
    background: white;
    outline: unset !important /* I added this one for Edge (chromium) support */
}

/* START wave dote */
.wave-a {
    position: absolute;
}
.wave {
    width: 10px;
    height: 10px;
    border: 5px solid #fffdfd;
    -webkit-border-radius: 30px;
    -moz-border-radius: 30px;
    border-radius: 30px;
    background-color: #000;
    z-index: 10;
    position: absolute;
}
.dot {
    border: 10px solid #fffdfd;
    background: transparent;
    -webkit-border-radius: 60px;
    -moz-border-radius: 60px;
    border-radius: 60px;
    height: 50px;
    width: 50px;
    -webkit-animation: wave 3s ease-out;
    -moz-animation: wave 3s ease-out;
    animation: wave 3s ease-out;
    -webkit-animation-iteration-count: infinite;
    -moz-animation-iteration-count: infinite;
    animation-iteration-count: infinite;
    position: absolute;
    top: -20px;
    left: -20px;
    z-index: 1;
    opacity: 0;
}
@keyframes wave {
    0% {
        transform: scale(0);
        -moz-transform: scale(0);
        -webkit-transform: scale(0);
        opacity: 0.0;
    }
    25% {
        transform: scale(0);
        -moz-transform: scale(0);
        -webkit-transform: scale(0);
        opacity: 0.1;
    }
    50% {
        transform: scale(0.1);
        -moz-transform: scale(0.1);
        -webkit-transform: scale(0.1);
        opacity: 0.3;
    }
    75% {
        transform: scale(0.5);
        -moz-transform: scale(0.5);
        -webkit-transform: scale(0.5);
        opacity: 0.5;
    }
    100% {
        transform: scale(1);
        -moz-transform: scale(1);
        -webkit-transform: scale(1);
        opacity: 0.0;
    }
}
@-moz-keyframes wave {
    0% {
        transform: scale(0);
        -moz-transform: scale(0);
        -webkit-transform: scale(0);
        opacity: 0.0;
    }
    25% {
        transform: scale(0);
        -moz-transform: scale(0);
        -webkit-transform: scale(0);
        opacity: 0.1;
    }
    50% {
        transform: scale(0.1);
        -moz-transform: scale(0.1);
        -webkit-transform: scale(0.1);
        opacity: 0.3;
    }
    75% {
        transform: scale(0.5);
        -moz-transform: scale(0.5);
        -webkit-transform: scale(0.5);
        opacity: 0.5;
    }
    100% {
        transform: scale(1);
        -moz-transform: scale(1);
        -webkit-transform: scale(1);
        opacity: 0.0;
    }
}
@-webkit-keyframes wave {
    0% {
        transform: scale(0);
        -moz-transform: scale(0);
        -webkit-transform: scale(0);
        opacity: 0.0;
    }
    25% {
        transform: scale(0);
        -moz-transform: scale(0);
        -webkit-transform: scale(0);
        opacity: 0.1;
    }
    50% {
        transform: scale(0.1);
        -moz-transform: scale(0.1);
        -webkit-transform: scale(0.1);
        opacity: 0.3;
    }
    75% {
        transform: scale(0.5);
        -moz-transform: scale(0.5);
        -webkit-transform: scale(0.5);
        opacity: 0.5;
    }
    100% {
        transform: scale(1);
        -moz-transform: scale(1);
        -webkit-transform: scale(1);
        opacity: 0.0;
    }
}
/* START wave dote */

.footer_area {
    text-align: center;
    position: fixed;
    width: 17%;

    bottom: 0;
    left: 50%;
    transform: translate(-50%, -45%);

    box-shadow: 2px 6px 12px rgba(0,0,0,0.5);
}
.footer_area:before,
.footer_area:after {
    border: 1.5em solid #085199;
    content: '';
    display: block;
    position: absolute;
    bottom: -1em;
    z-index: -1;
}
.footer_area:before {
    left: -2em;
    border-right-width: 1.5em;
    border-left-color: transparent;
    box-shadow: 2px 2px 2px rgba(0,0,0,0.5);
}
.footer_area:after {
    right: -2em;
    border-left-width: 1.5em;
    border-right-color: transparent;
    box-shadow: -2px 2px 2px rgba(0,0,0,0.5);
}
.footer_area div#rank_n_coins:before,
.footer_area div#rank_n_coins:after {
    content: '';
    display: block;
    position: absolute;
    border-style: solid;
    border-color: #006eca transparent transparent transparent;
    bottom: -0.85em;
}
.footer_area div#rank_n_coins:before {
    left: 0;
    border-width: .9em 0 0 .9em;
}
.footer_area div#rank_n_coins:after {
    right: 0;
    border-width: .9em .9em 0 0;
}

.footfall_text span {
    text-shadow: 0 0 10px #0188dc, 0 0 23px #0188dc, 0 0 36px #0188dc, 0 0 50px #0188dc, 0 0 63px #014E86, 0 0 75px #014E86, 0 0 88px #014E86, 0 0 100px #2aabd2;
    color: #f5dede;
    text-align: center;
    animation: blink_text 7s infinite;
    -webkit-animation: blink_text 7s infinite;
}
.footer_area div#rank_n_coins {
    text-shadow: 0 0 10px #0188dc, 0 0 23px #0188dc, 0 0 36px #0188dc, 0 0 50px #0188dc, 0 0 63px #014E86, 0 0 75px #014E86, 0 0 88px #014E86, 0 0 100px #2aabd2;
    color: #f5dede;
    text-align: center;
    animation: blink_text 15s infinite;
    -webkit-animation: blink_text 15s infinite;

    margin: 0 auto;
    padding: .5rem .75rem;
    background-color: #033671;
    font-size: 20px;
}
@-webkit-keyframes blink_text {
    10%, 18%, 28%, 40%, 65%, 78%, 93% {
        color: #E8DFFF;
        text-shadow: 0 0 5px #2196F3, 0 0 15px #2196F3, 0 0 25px #2196F3, 0 0 35px #2196F3, 0 0 45px #03A9F4, 0 0 55px #03A9F4, 0 0 65px #03A9F4, 0 0 75px #00e2ff;
    }
    0%, 5%, 13%, 21%, 34%, 55%, 89% {
        color: #f2f2f2;
        text-shadow: 0 0 12px #0188dc, 0 0 25px #0188dc, 0 0 37px #0188dc, 0 0 50px #0188dc, 0 0 63px #014E86, 0 0 75px #014E86, 0 0 88px #014E86, 0 0 100px #2aabd2;
    }
    100% {
        color: #f9d5d8;
        text-shadow: 0 0 12px #0188dc, 0 0 25px #2196F3, 0 0 37px #0188dc, 0 0 50px #2196F3, 0 0 63px #014E86, 0 0 75px #03A9F4, 0 0 88px #014E86, 0 0 100px #03A9F4;
    }
}
@keyframes blink_text {
    10%, 18%, 28%, 40%, 65%, 78%, 93% {
        color: #E8DFFF;
        text-shadow: 0 0 5px #2196F3, 0 0 15px #2196F3, 0 0 25px #2196F3, 0 0 35px #2196F3, 0 0 45px #03A9F4, 0 0 55px #03A9F4, 0 0 65px #03A9F4, 0 0 75px #00e2ff;
    }
    0%, 5%, 13%, 21%, 34%, 55%, 89% {
        color: #f2f2f2;
        text-shadow: 0 0 12px #0188dc, 0 0 25px #0188dc, 0 0 37px #0188dc, 0 0 50px #0188dc, 0 0 63px #014E86, 0 0 75px #014E86, 0 0 88px #014E86, 0 0 100px #2aabd2;
    }
    100% {
        color: #f9d5d8;
        text-shadow: 0 0 12px #0188dc, 0 0 25px #2196F3, 0 0 37px #0188dc, 0 0 50px #2196F3, 0 0 63px #014E86, 0 0 75px #03A9F4, 0 0 88px #014E86, 0 0 100px #03A9F4;
    }
}
/*-- START for blinking text --*/

.outer {
    display: table;
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
}
.middle {
    display: table-cell;
    vertical-align: middle;
}
.inner {
    margin: auto;
    width: auto;
}
img.map, map area{
    outline: none;
}

@media screen and (max-width: 1366px) {
    .footer_area {
        width: 24%;
    }
}
@media screen and (max-width: 980px) {
    body {
        background-size: contain;
    }
    .page_buttons {
        /*width: 45%;*/
        top: .75vh;
        right: 7vw;
    }
}
@media only screen and (orientation: landscape) and (min-device-width: 480px) and (max-device-width: 1080px) {
    body {
        background-size: cover;
    }
    .page_buttons {
        /*width: 45%;*/
        top: 3vh;
        right: 6vw;
    }

    .footer_area {
        width: 35%;
    }
    .footer_area div#rank_n_coins {
        padding: 0.15em 0.5em;
    }
    .footer_area .h5 {
        font-size: 0.9rem;
    }
    .footer_area .h3 {
        font-size: 1.1rem;
    }
    .footer_area:before {
        border-width: 1em !important;
        bottom: -0.85em;
        left: -1em;
    }
    .footer_area:after {
        border-width: 1em !important;
        bottom: -0.85em;
        right: -1em;
    }
}